## kf6-kdoctools 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
project(KDocTools VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.6.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(ECMGenerateExportHeader)
include(ECMAddQch)

set(kdoctools_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kdoctools_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KDOCTOOLS
                        VERSION_HEADER "${kdoctools_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfigVersion.cmake"
                        SOVERSION 6)

option(MEINPROC_NO_KARCHIVE "Compile meinproc without KArchive dependency. Only for internal usage on KDE infrastructure." OFF)
option(INSTALL_INTERNAL_TOOLS "Install internal tools too." OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# Dependencies
set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

# KF6 frameworks
if (NOT MEINPROC_NO_KARCHIVE)
   find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
else()
   message(WARNING "KArchive dependency has been disabled. This should be done only for internal usage on KDE infrastructure.")
endif()

find_package(KF6I18n ${KF_DEP_VERSION})
set_package_properties(KF6I18n PROPERTIES TYPE OPTIONAL
   PURPOSE "Required to build the KDocTools translations")

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
                       URL "http://xmlsoft.org/XSLT"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(LibXml2)
set_package_properties(LibXml2 PROPERTIES
                       URL "http://xmlsoft.org"
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

if (NOT LIBXML2_XMLLINT_EXECUTABLE)
   message(FATAL_ERROR "xmllint is required to process DocBook XML")
endif()

find_package(DocBookXML4 "4.5")

set_package_properties(DocBookXML4 PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

find_package(DocBookXSL)
set_package_properties(DocBookXSL PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required by the KDE help system to process DocBook XML"
                      )

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
set(_kdoctoolsBootStrapping TRUE)
set(KDOCTOOLS_CUSTOMIZATION_DIR "${CMAKE_CURRENT_BINARY_DIR}/src/customization/")
if (WIN32)
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${EXECUTABLE_OUTPUT_PATH}/${CMAKE_CFG_INTDIR}/meinproc6 )
else ()
    set(KDOCTOOLS_MEINPROC_EXECUTABLE          ${CMAKE_CURRENT_BINARY_DIR}/src/meinproc6${CMAKE_EXECUTABLE_SUFFIX} )
endif ()
include(KF6DocToolsMacros.cmake)

set(KDOCTOOLS_LANGUAGES_LIST af bg ca ca@valencia cs da de el en-GB en eo es et fi fo fr gl he hu id it ja ko lt nds nl nn no pl pt-BR pt ro ru sk sl sq sr sr@latin sr@ijekavian sr@ijekavianlatin sv th tr uk wa xh xx zh-CN zh-TW)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6DocTools")
add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 5.102
)

if (KF6I18n_FOUND)
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(common)
add_subdirectory(docs)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(EXPORT KF6DocToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6DocToolsTargets.cmake NAMESPACE KF6:: )
install(EXPORT KF6DocToolsToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6DocToolsToolsTargets.cmake NAMESPACE KF6:: )
install(
    FILES ${kdoctools_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools
    COMPONENT Devel
)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6DocTools_QCH
        FILE "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6DocToolsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6DocToolsConfig.cmake.in"
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfig.cmake"
  PATH_VARS
    KDE_INSTALL_DATADIR_KF
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/KF6DocToolsMacros.cmake ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsMacros.cmake COPYONLY)
# we need a separate copy with local paths for install autotests
export(EXPORT KF6DocToolsTargets FILE ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsTargets.cmake NAMESPACE KF6::)
export(EXPORT KF6DocToolsToolsTargets FILE ${CMAKE_BINARY_DIR}/cmake/KF6DocToolsToolsTargets.cmake NAMESPACE KF6::)

install(FILES
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfig.cmake"
  "${CMAKE_BINARY_DIR}/cmake/KF6DocToolsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

configure_file(config-kdoctools.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdoctools.h )

install( FILES
    KF6DocToolsMacros.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
include_directories( ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} )

include(uriencode)
kdoctools_encode_uri(DocBookXML4_DTD_DIR)
set (_custom_dtd_kdex "customization/dtd/kdedbx45.dtd")
configure_file(${_custom_dtd_kdex}.cmake ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex} )
# WARNING: this is due to severe limitations on the windows platform to keep the dtd relocatable
# see the .xsl.cmake files for a more verbose explanation below
if(NOT WIN32)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}
        DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd )
else()
    get_filename_component(NORMALIZED_DTD_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd" ABSOLUTE)
    # file(RELATIVE_PATH ...) returns wrong values for paths containing /../ (it doesn't normalize the path)
    # To work around this we make sure the variable passed has all /../ elements
    # removed using get_filename_component(... ABSOLUTE)
    install(CODE
        "file(RELATIVE_PATH DocBookXML4_DTD_DIR \"${NORMALIZED_DTD_INSTALL_PATH}\" \"${DocBookXML4_DTD_DIR}\")
        set(PERL_EXECUTABLE \"${PERL_EXECUTABLE}\")
        include(\"${CMAKE_SOURCE_DIR}/cmake/uriencode.cmake\")
        set(CMAKE_MODULE_PATH \"${CMAKE_MODULE_PATH}\")
        kdoctools_encode_uri(DocBookXML4_DTD_DIR)
        configure_file(\"${CMAKE_CURRENT_SOURCE_DIR}/${_custom_dtd_kdex}.cmake\" \"${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install\")"
    )
    get_filename_component(_custom_dtd_kdex_name ${_custom_dtd_kdex} NAME)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install" DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd RENAME ${_custom_dtd_kdex_name})
endif()

ecm_qt_declare_logging_category(kdoctoolslog_core_SRCS
    HEADER loggingcategory.h
    IDENTIFIER KDocToolsLog
    CATEGORY_NAME kf.doctools.core
    DEFAULT_SEVERITY Warning
)

# needed by KIO, need to export it
add_library(KF6DocTools SHARED xslt.cpp xslt_kde.cpp ${kdoctoolslog_core_SRCS})
add_library(KF6::DocTools ALIAS KF6DocTools)

set_target_properties(KF6DocTools PROPERTIES
    VERSION     ${KDOCTOOLS_VERSION}
    SOVERSION   ${KDOCTOOLS_SOVERSION}
    EXPORT_NAME DocTools
    POSITION_INDEPENDENT_CODE TRUE
)

ecm_generate_export_header(KF6DocTools
    BASE_NAME KDocTools
    EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/kdoctools_export.h"
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

if (NOT MEINPROC_NO_KARCHIVE)
    set (_private_link_karchive "KF6::Archive")
else()
    set (_private_link_karchive "")
endif()

target_link_libraries(KF6DocTools
    PUBLIC
        Qt6::Core
    PRIVATE
        ${LIBXML2_LIBRARIES}
        ${LIBXSLT_LIBRARIES}
        ${LIBXSLT_EXSLT_LIBRARIES}
        ${_private_link_karchive}
)

target_include_directories(KF6DocTools INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools>")

set(KDocTools_HEADERS
    docbookxslt.h
)

install(FILES
    ${KDocTools_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kdoctools_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KDocTools
    COMPONENT Devel
)

install(TARGETS KF6DocTools EXPORT KF6DocToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_QCH)
    ecm_add_qch(
        KF6DocTools_QCH
        NAME KDocTools
        BASE_NAME KF6DocTools
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KDocTools_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KDOCTOOLS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

########### next target ###############

set_source_files_properties(xslt.cpp PROPERTIES COMPILE_FLAGS -DSIMPLE_XSLT )

if(MEINPROC_NO_KARCHIVE)
    add_definitions(-DMEINPROC_NO_KARCHIVE) #we don't have saveToCache when compiling without KArchive, which is used in xslt_kde.cpp
else ()
    set(meinproc_additional_SRCS xslt_kde.cpp)
    set(meinproc_additional_LIBS KF6::Archive)
endif()

add_executable(meinproc6 meinproc.cpp meinproc_common.cpp xslt.cpp ${meinproc_additional_SRCS} ${kdoctoolslog_core_SRCS})
ecm_mark_nongui_executable(meinproc6)
target_link_libraries(meinproc6
    PRIVATE
        Qt6::Core
        ${LIBXML2_LIBRARIES}
        ${LIBXSLT_LIBRARIES}
        ${LIBXSLT_EXSLT_LIBRARIES}
        ${meinproc_additional_LIBS}
)

target_compile_definitions(meinproc6 PRIVATE -DKDOCTOOLS_EXPORT=)
install(TARGETS meinproc6 EXPORT KF6DocToolsToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(CMAKE_CROSSCOMPILING AND MEINPROC6_EXECUTABLE)
    add_executable(KF6::meinproc6 IMPORTED GLOBAL)
    set_target_properties(KF6::meinproc6 PROPERTIES IMPORTED_LOCATION ${MEINPROC6_EXECUTABLE})
else()
    add_executable(KF6::meinproc6 ALIAS meinproc6)
endif()

########### customize includes for xslt ###############
# WARNING: this has severe limitations on the windows platform since the .xsl
# & docbook files need to be relocatable. We cannot just replace the paths in
# the .xsl with relative paths because these files are not installed while
# building kdoctools. Instead, we will reconfigure those files at install time
# with relative paths.

file( GLOB _kdeincludexslt_ALL "customization/kde-include*.xsl.cmake" )
foreach( _kdeincludexslt ${_kdeincludexslt_ALL} )
    get_filename_component( _kdeincludexslt_name ${_kdeincludexslt} NAME )
    string( REGEX REPLACE ".cmake$" "" _kdeincludexslt_out "${_kdeincludexslt_name}" )
    set( _kdeincludexslt_binarypath "${CMAKE_CURRENT_BINARY_DIR}/customization/${_kdeincludexslt_out}" )
    configure_file( ${_kdeincludexslt} ${_kdeincludexslt_binarypath} )
    if(NOT WIN32)
        install(FILES ${_kdeincludexslt_binarypath}
            DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization )
    else()
        install(CODE
            "FILE(RELATIVE_PATH DOCBOOKXSL_DIR \${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization ${DOCBOOKXSL_DIR})
            CONFIGURE_FILE( \"${_kdeincludexslt}\" \"${_kdeincludexslt_binarypath}.install\" )")
            install(FILES "${_kdeincludexslt_binarypath}.install" DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization RENAME ${_kdeincludexslt_out})
    endif()
endforeach( _kdeincludexslt ${_kdeincludexslt_ALL} )


########### install files ###############

macro(INSTALL_CUSTOMIZE_DIR _expr _directory)
    FILE(GLOB _file_CUST "${_expr}" )
    foreach(_curentfile ${_file_CUST})
        install(FILES ${_curentfile} DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/${_directory} )
    endforeach(_curentfile ${_file_CUST})
endmacro(INSTALL_CUSTOMIZE_DIR _expr _directory)

macro(INSTALL_CUSTOMIZE_L_DIR _expr _directory)
    FILE(GLOB _file_CUST "${_expr}" )
    foreach(_curentfile ${_file_CUST})
        # copy the file also under CMAKE_CURRENT_BINARY_DIR - those
        # files are needed to generate the documentation without installing
        # kdoctools (i.e. when kdoctools itself compiled).
        get_filename_component(_currentfile_name ${_curentfile} NAME)
        set(_currentfile_binary_path ${CMAKE_CURRENT_BINARY_DIR}/${_directory}/${_currentfile_name})
        configure_file(${_curentfile} ${_currentfile_binary_path} COPYONLY)

        install(FILES ${_currentfile_binary_path}
            DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/${_directory} )
    endforeach(_curentfile ${_file_CUST})
endmacro(INSTALL_CUSTOMIZE_L_DIR _expr _directory)



set(expr "customization/*.xsl")
install_customize_l_dir( ${expr} customization/)

set(expr "customization/README")
install_customize_l_dir( ${expr} customization/)

set(expr "customization/catalog.xml")
install_customize_l_dir( ${expr} customization/)

set(customizedir ${KDOCTOOLS_LANGUAGES_LIST} dtd entities xsl)

foreach (_currentcustomizedir ${customizedir})
    set(expr "customization/${_currentcustomizedir}/README")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/*.entities")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/*.xsl")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir})
    set(expr "customization/${_currentcustomizedir}/entities/*.docbook")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir}/entities/ )
    set(expr "customization/${_currentcustomizedir}/entities/*.entities")
    install_customize_l_dir( ${expr} customization/${_currentcustomizedir}/entities/ )
    set(expr "customization/${_currentcustomizedir}/*.xml")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir} )
    set(expr "customization/${_currentcustomizedir}/*.dtd")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir}/)
    set(expr "customization/${_currentcustomizedir}/*.elements")
    install_customize_l_dir(${expr} customization/${_currentcustomizedir}/)
endforeach(_currentcustomizedir ${customizedir})

########### l10n xml helper ###############

set( docbookl10nhelper_SRCS docbookl10nhelper.cpp ${kdoctoolslog_core_SRCS})
add_executable( docbookl10nhelper ${docbookl10nhelper_SRCS} )
ecm_mark_nongui_executable( docbookl10nhelper )
target_link_libraries( docbookl10nhelper Qt6::Core )
if(INSTALL_INTERNAL_TOOLS)
    install(TARGETS docbookl10nhelper EXPORT KF6DocToolsToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

if(CMAKE_CROSSCOMPILING AND DOCBOOKL10NHELPER_EXECUTABLE)
    add_executable(KF6::docbookl10nhelper IMPORTED GLOBAL)
    set_target_properties(KF6::docbookl10nhelper PROPERTIES IMPORTED_LOCATION ${DOCBOOKL10NHELPER_EXECUTABLE})
else()
    add_executable(KF6::docbookl10nhelper ALIAS docbookl10nhelper)
endif()

add_custom_command( TARGET docbookl10nhelper POST_BUILD
    COMMAND $<TARGET_FILE:KF6::docbookl10nhelper>
    "${DOCBOOKXSL_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/customization/xsl"
    "${CMAKE_CURRENT_BINARY_DIR}/customization/xsl"
)

# all-l10n.xml is generated by docbookl10nhelper
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/customization/xsl/all-l10n.xml
    DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/xsl/ )

########### checkXML6 helper ###############

set( checkXML6_SRCS checkXML6.cpp ${kdoctoolslog_core_SRCS})
add_executable( checkXML6 ${checkXML6_SRCS} )
ecm_mark_nongui_executable( checkXML6 )
target_link_libraries( checkXML6 Qt6::Core )
install(TARGETS checkXML6 EXPORT KF6DocToolsToolsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(CMAKE_CROSSCOMPILING AND CHECKXML6_EXECUTABLE)
    add_executable(KF6::checkXML6 IMPORTED GLOBAL)
    set_target_properties(KF6::checkXML6 PROPERTIES IMPORTED_LOCATION ${CHECKXML6_EXECUTABLE})
else()
    add_executable(KF6::checkXML6 ALIAS checkXML6)
endif()

## kf6-kdoctools 6.3.0

=== debian/changelog ===
kf6-kdoctools (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:55:01 +0200

kf6-kdoctools (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Remove obsolete patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Apr 2024 23:49:21 +0200

kdoctools (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:57 +0100

kdoctools (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Drop patches applied upstream.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:35 +0200

kdoctools (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:54 +0100

kdoctools (5.103.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Backport upstream commit 446d93c4289dadb9f6a460a3bc18eb17e15575e9 to fix
    the kdoctools_install() cmake macro in case the full path of the source
    directory contains special characters (e.g. '+'); patch
    upstream_kdoctools_install-fix-doc-detection-in-path-with-spe.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Mar 2023 14:45:42 +0100

kdoctools (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:26 +0100

kdoctools (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:04 +0100

kdoctools (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:27 +0100

kdoctools (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:00 +0100

kdoctools (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:41 +0200

kdoctools (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:33 +0200

kdoctools (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Add lintian overrides to confirm some HTML files are really the
    sources.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:01 +0200

kdoctools (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kdoctools (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

  [ Helmut Grohne ]
  * Address FTCBFS: Build-Depends: kdoctools5 <cross> for meinproc5.
    (Closes: #916050)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kdoctools (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

kdoctools (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

kdoctools (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:54:11 +0900

kdoctools (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kdoctools (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:02:48 +0900

kdoctools (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.



=== debian/control ===
Source: kf6-kdoctools
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               docbook-xml (>= 4.5),
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               liburi-perl,
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdoctools
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
Rules-Requires-Root: no

Package: kdoctools6
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: docbook-xml (>= 4.5),
         docbook-xsl,
         libxml2-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6doctools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the documentation files for kdoctools6.

Package: libkf6doctools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kdoctools6 (= ${binary:Version}),
         libkf6archive-dev (>= 6.3.0~),
         libkf6doctools6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6doctools-doc (= ${source:Version}),
Description: Development files for kdoctools6
 KDocTools is a set of tools to generate documentation in various formats from
 DocBook files.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files for kdoctools6.

Package: libkf6doctools6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools to generate documentation in various formats from DocBook
 KDocTools is a set of tools to generate documentation in various
 formats from DocBook files.
 .
 This package is part of KDE Frameworks 6.

## kf6-kdoctools 6.6.0

=== debian/changelog ===
kf6-kdoctools (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:46 +0200

kf6-kdoctools (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:04 +0200

kf6-kdoctools (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.3.0~),
+         libkf6archive-dev (>= 6.6.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kdoctools 6.8.0

=== debian/changelog ===
kf6-kdoctools (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:35:46 +0000

kf6-kdoctools (6.6.0-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:16:27 +0100

kf6-kdoctools (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:05:44 +0100

kf6-kdoctools (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:22:36 +0100

kf6-kdoctools (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:33:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -11,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.8.0~),
+               libkf6archive-dev (>= 6.8.0~),
+               libkf6i18n-dev (>= 6.8.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -22,8 +23,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -59,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.6.0~),
+         libkf6archive-dev (>= 6.8.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kdoctools 6.9.0

=== debian/changelog ===
kf6-kdoctools (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:46:05 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.8.0~),
-               libkf6archive-dev (>= 6.8.0~),
-               libkf6i18n-dev (>= 6.8.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6archive-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.8.0~),
+         libkf6archive-dev (>= 6.9.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-kdoctools 6.10.0

=== debian/changelog ===
kf6-kdoctools (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:20 +0100

kf6-kdoctools (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:02:55 +0100

kf6-kdoctools (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:24 -0600

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6archive-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6archive-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -60,9 +59,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.9.0~),
+         libkf6archive-dev (>= 6.10.0~),
          libkf6doctools6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6doctools-doc (= ${source:Version}),
 Description: Development files for kdoctools6

## kf6-kdoctools 6.11.0

=== debian/changelog ===
kf6-kdoctools (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.10.0~),
+         libkf6archive-dev (>= 6.11.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-kdoctools 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -36,8 +36,14 @@
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
+option(RELOCATABLE_DOCBOOK_FILES "Generate relative paths to docbook and XSL files (for e.g. Windows and cross-compilation)" OFF)
+if(WIN32)
+    set(RELOCATABLE_DOCBOOK_FILES ON)
+    message(STATUS "Automatic enable RELOCATABLE_DOCBOOK_FILES for Windows platform")
+endif()
+
 # Dependencies
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 # KF6 frameworks
@@ -97,8 +103,8 @@
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6DocTools")
 add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
-    KF 5.102
+    QT 6.8.0
+    KF 6.11.0
 )
 
 if (KF6I18n_FOUND)

=== debian/changelog ===
kf6-kdoctools (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:51:36 +0000

kf6-kdoctools (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:24 +0000

kf6-kdoctools (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:18:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6archive-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6archive-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -59,9 +60,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.11.0~),
+         libkf6archive-dev (>= 6.12.0~),
          libkf6doctools6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6doctools-doc (= ${source:Version}),
 Description: Development files for kdoctools6

## kf6-kdoctools 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KDocTools VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -103,8 +103,8 @@
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6DocTools")
 add_definitions(-DTRANSLATION_DOMAIN=\"kdoctools6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 if (KF6I18n_FOUND)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,20 +6,18 @@
 configure_file(${_custom_dtd_kdex}.cmake ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex} )
 # WARNING: this is due to severe limitations on the windows platform to keep the dtd relocatable
 # see the .xsl.cmake files for a more verbose explanation below
-if(NOT WIN32)
+if(NOT RELOCATABLE_DOCBOOK_FILES)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}
         DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd )
 else()
-    get_filename_component(NORMALIZED_DTD_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd" ABSOLUTE)
     # file(RELATIVE_PATH ...) returns wrong values for paths containing /../ (it doesn't normalize the path)
     # To work around this we make sure the variable passed has all /../ elements
     # removed using get_filename_component(... ABSOLUTE)
+    get_filename_component(NORMALIZED_DTD_INSTALL_PATH "${CMAKE_SYSROOT}/${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization/dtd" ABSOLUTE)
+    file(RELATIVE_PATH DocBookXML4_DTD_DIR_relative "${NORMALIZED_DTD_INSTALL_PATH}" ${DocBookXML4_DTD_DIR})
+    kdoctools_encode_uri(DocBookXML4_DTD_DIR_relative)
     install(CODE
-        "file(RELATIVE_PATH DocBookXML4_DTD_DIR \"${NORMALIZED_DTD_INSTALL_PATH}\" \"${DocBookXML4_DTD_DIR}\")
-        set(PERL_EXECUTABLE \"${PERL_EXECUTABLE}\")
-        include(\"${CMAKE_SOURCE_DIR}/cmake/uriencode.cmake\")
-        set(CMAKE_MODULE_PATH \"${CMAKE_MODULE_PATH}\")
-        kdoctools_encode_uri(DocBookXML4_DTD_DIR)
+        "set(DocBookXML4_DTD_DIR \"${DocBookXML4_DTD_DIR_relative}\")
         configure_file(\"${CMAKE_CURRENT_SOURCE_DIR}/${_custom_dtd_kdex}.cmake\" \"${CMAKE_CURRENT_BINARY_DIR}/${_custom_dtd_kdex}.install\")"
     )
     get_filename_component(_custom_dtd_kdex_name ${_custom_dtd_kdex} NAME)
@@ -144,20 +142,19 @@
 # the .xsl with relative paths because these files are not installed while
 # building kdoctools. Instead, we will reconfigure those files at install time
 # with relative paths.
-
 file( GLOB _kdeincludexslt_ALL "customization/kde-include*.xsl.cmake" )
 foreach( _kdeincludexslt ${_kdeincludexslt_ALL} )
     get_filename_component( _kdeincludexslt_name ${_kdeincludexslt} NAME )
     string( REGEX REPLACE ".cmake$" "" _kdeincludexslt_out "${_kdeincludexslt_name}" )
     set( _kdeincludexslt_binarypath "${CMAKE_CURRENT_BINARY_DIR}/customization/${_kdeincludexslt_out}" )
     configure_file( ${_kdeincludexslt} ${_kdeincludexslt_binarypath} )
-    if(NOT WIN32)
+    if(NOT RELOCATABLE_DOCBOOK_FILES)
         install(FILES ${_kdeincludexslt_binarypath}
             DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization )
     else()
         install(CODE
-            "FILE(RELATIVE_PATH DOCBOOKXSL_DIR \${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization ${DOCBOOKXSL_DIR})
-            CONFIGURE_FILE( \"${_kdeincludexslt}\" \"${_kdeincludexslt_binarypath}.install\" )")
+            "file(RELATIVE_PATH DOCBOOKXSL_DIR ${CMAKE_SYSROOT}/\${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF}/kdoctools/customization ${DOCBOOKXSL_DIR})
+            configure_file( \"${_kdeincludexslt}\" \"${_kdeincludexslt_binarypath}.install\" )")
             install(FILES "${_kdeincludexslt_binarypath}.install" DESTINATION ${KDE_INSTALL_DATADIR_KF}/kdoctools/customization RENAME ${_kdeincludexslt_out})
     endif()
 endforeach( _kdeincludexslt ${_kdeincludexslt_ALL} )

=== debian/changelog ===
kf6-kdoctools (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6archive-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6archive-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -60,9 +59,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.12.0~),
+         libkf6archive-dev (>= 6.13.0~),
          libkf6doctools6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6doctools-doc (= ${source:Version}),
 Description: Development files for kdoctools6
